Summary:	MinGW32 Binary Utility Development Utilities - Win32 API libraries
Summary(pl.UTF-8):	Zestaw narzędzi MinGW32 - biblioteki API Win32
Name:		crossmingw32-w32api
Version:	3.17
%define	apiver	%{version}
%define	apisrc	w32api-%{apiver}-2-mingw32
%define runver	3.20
%define	runsrc	mingwrt-%{runver}-mingw32
Release:	2
Epoch:		1
License:	Free
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/mingw/%{apisrc}-src.tar.lzma
# Source0-md5:	7a14e6c9687c010eed35db95604548a4
# only for headers
Source1:	http://downloads.sourceforge.net/mingw/%{runsrc}-src.tar.gz
# Source1-md5:	26c0886cc60729b94956cc6d81cd076c
Source2:	http://www.opengl.org/registry/api/glext.h
Patch0:		%{name}-include_fix.patch
Patch1:		%{name}-mmsystem.patch
URL:		http://www.mingw.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-binutils >= 2.15.91.0.2-2
Obsoletes:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		target_platform i386-pc-mingw32
%define		_prefix		/usr/%{target}
%define		_libdir		%{_prefix}/lib

# strip fails on static COFF files
%define		no_install_post_strip 1

%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-gdwarf-3

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the MinGW32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains Win32 API includes and libraries.

%description -l pl.UTF-8
crossmingw32 jest kompletnym systemem do kompilacji skrośnej,
pozwalającym budować aplikacje MS Windows pod Linuksem używając
bibliotek MinGW32. System składa się z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujące kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagłówkowe i biblioteki Win32 API.

%package dx
Summary:	DirectX from MinGW Win32 API
Summary(pl.UTF-8):	DirectX z API Win32 dla MinGW
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	crossmingw32-dx
Obsoletes:	crossmingw32-dx

%description dx
DirectX from MinGW Win32 API.

%description dx -l pl.UTF-8
DirectX z API Win32 dla MinGW.

%prep
%setup -q -n %{apisrc} -a1
%patch0 -p1
%patch1 -p1

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
./configure \
	--prefix=%{_prefix} \
	--host=%{target} \
	--build=%{_target_platform} \
	CFLAGS="-I`pwd`/%{runsrc}/include %{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir}


%{!?debug:%{target}-strip -g $RPM_BUILD_ROOT%{_libdir}/*.a}

install %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/GL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_includedir}
%{_includedir}/[!d]*.h
%{_includedir}/dbt.h
%{_includedir}/dde.h
%{_includedir}/ddeml.h
%{_includedir}/devguid.h
%{_includedir}/dhcpcsdk.h
%{_includedir}/dlgs.h
%{_includedir}/docobj.h
%{_includedir}/dsadmin.h
%{_includedir}/dsclient.h
%{_includedir}/dsgetdc.h
%{_includedir}/dsquery.h
%{_includedir}/dsrole.h
%{_includedir}/dvdevcod.h
%{_includedir}/dvdmedia.h
%{_includedir}/GL
%{_includedir}/ddk
%{_includedir}/gdiplus
%{_libdir}/lib[!d]*.a
%{_libdir}/libdhcpcsvc.a
%{_libdir}/libdlcapi.a
%{_libdir}/libdnsapi.a
%{_libdir}/libdxapi.a

%files dx
%defattr(644,root,root,755)
%{_libdir}/libd3d8.a
%{_libdir}/libd3d9.a
%{_libdir}/libd3dim.a
%{_libdir}/libd3drm.a
%{_libdir}/libd3dx8d.a
%{_libdir}/libd3dx9d.a
%{_libdir}/libd3dxof.a
%{_libdir}/libddraw.a
%{_libdir}/libdinput.a
%{_libdir}/libdinput8.a
%{_libdir}/libdmoguids.a
%{_libdir}/libdplayx.a
%{_libdir}/libdpnaddr.a
%{_libdir}/libdpnet.a
%{_libdir}/libdpnlobby.a
%{_libdir}/libdpvoice.a
%{_libdir}/libdsetup.a
%{_libdir}/libdsound.a
%{_libdir}/libdxerr8.a
%{_libdir}/libdxerr9.a
%{_libdir}/libdxguid.a
%{_includedir}/d3d9*.h
%{_includedir}/dshow.h
%{_includedir}/dxerr8.h
%{_includedir}/dxerr9.h
%changelog
* Wed Jan 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-w32api.git;a=log;h=master

* Wed Jan 29 2014 Jan Rękorajski <baggins@pld-linux.org> a3bc85b
- updated glext to 97
- don't confuse builder with fake source-md5 tag

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> db34ade
- updated: runtime 3.20, glext 73
- release 2

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 8397fc4
- updated: w32api 3.17, glext 70

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> fb67274
- release 2

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> 1a969af
- filter out some compiler and linker flags

* Sat Oct 02 2010 Jakub Bogusz <qboosh@pld-linux.org> 00b933e
- updated w32api to 3.15, glext to 65

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 63f5c7e
- unified MinGW32 caps

* Wed Mar 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 064c7ea
- updated glext.h to 60

* Wed Mar 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 2ea7e25
- updated to 3.14 (runtime 3.18)
- more verbose files, fixed dx split
- use virtual P/O for dx

* Thu Jan 21 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 8fc261f
- up runtime to 3.16

* Sun Dec 07 2008 jpc <jpc@pld-linux.org> 8395202
- up to 3.13 with 3.15.1 runtime (upstream source file name change)
- fix install (we were flattening include/ddk/*.h into include/)

* Thu Nov 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 168d35d
- updated glext.h to 39
- avoid other non-x86 arch-specific flags

* Thu Nov 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 662f663
- updated to 39 (new URL: http://www.opengl.org/registry/api/glext.h)

* Mon Oct 01 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> 00cb641
- up to 3.10
- runtime up to 3.13

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 1f2baed
- updated to 3.9, runtime 3.12
- added mmsystem patch (fix mmsystem.h guards to be more consistent with MS dsound.h)

* Tue Apr 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 8732c0c
- more consistency with dsound.h

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> a21df69
- updated to 3.8, runtime 3.11

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 877c8c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 250c054
- converted to UTF-8

* Tue Aug 01 2006 Paweł Sikora <pluto@pld-linux.org> b006541
- build with mingw-runtime-3.10, release 2.

